Name:           pywebkitgtk
Version:        1.1.8
Release:        11%{?dist}
Summary:        Python Bindings for WebKit-gtk

Group:          Development/Languages
License:        LGPLv2+
URL:            http://code.google.com/p/pywebkitgtk/
Source0:        http://pywebkitgtk.googlecode.com/files/%{name}-%{version}.tar.bz2

BuildRequires:  pygtk2-devel webkitgtk-devel libxslt-devel
Requires:       pygtk2

%description
The purpose of pywebkitgtk is to bring an alternative web engine to
Python/GTK+ application developers who might need a web browser engine for
their next application or developers wishing to have a better browser engine
that they can access to using the Python programming language.

%prep
%setup -q
chmod -x demos/*

%build
%configure
make %{?_smp_mflags} PYGTK_CODEGEN=pygobject-codegen-2.0

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT \( -name \*.la -o -name \*.a \) -exec rm {} \;


%files
%doc AUTHORS ChangeLog COPYING MAINTAINERS NEWS README demos
%{_datadir}/pywebkitgtk/
%exclude %{_libdir}/pkgconfig/pywebkitgtk-1.0.pc
%{python_sitearch}/webkit/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug 07 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 1.1.8-7
- Change BuildRequires: WebKit-gtk-devel to webkitgrk-devel

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.1.8-2
- Rebuild for new libpng

* Thu Mar 31 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.1.8-1
- New upstream release
- Own %%{_datadir}/pywebkitgtk dirs
  * Patch from Ville SkyttÃ¤ <ville.skytta@iki.fi>
  * Resolves rhbz#681620
- Switch to bz2 tarball
- Drop the pth file workaround. Should no longer be required
- Drop buildroot definition and %%clean

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul  7 2010 Matthias Clasen <mclasen@redhat.com> - 1.1.6-4
- Rebuild against newer webkitgtk

* Thu Jul  1 2010 Colin Walters <walters@verbum.org> - 1.1.6-3
- Correct license; it's really LGPL

* Fri Aug 28 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.1.6-2
- Added .pth for webkit-1.0

* Wed Aug 26 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.1.6-1
- Updated to 1.1.6

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 08 2009 Steven M. Parrish <tuxbrewr@fedoraproject.org>
- Rebuilt for soname bump for webkitgtk+

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec  5 2008 Jeremy Katz <katzj@redhat.com> - 1.0.1-4
- Fix build for python 2.6.  Patch matches what went upstream to 
  fix the same problem

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.0.1-3
- Rebuild for Python 2.6

* Thu Aug 28 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.0.1-2
- Switch to pygobject code generator

* Wed Aug 27 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 1.0.1-1
- Upstream update

* Fri May 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.3-0.2.git9824a495
- Fixed release scheme
- Fixed license tag
- Fixed ownership
- Removed .la files

* Wed Apr 23 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 0.3-0.1.git9824a495
- Initial RPM release
